tigase.jaxmpp.core.client.connector

## Class BoshXmppSessionLogic

- java.lang.Object
- - tigase.jaxmpp.core.client.connector.BoshXmppSessionLogic

- All Implemented Interfaces:
    XmppSessionLogic

      public class BoshXmppSessionLogic
      extends Object
      implements XmppSessionLogic

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface tigase.jaxmpp.core.client.XmppSessionLogic

      `XmppSessionLogic.SessionListener, XmppSessionLogic.XmppSessionEstablishedHandler`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BoshXmppSessionLogic(Context context, Connector connector, XmppModulesManager modulesManager)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `beforeStart()` Method executed just before login process is started.
    `protected void` | `onResourceBindError(SessionObject sessionObject2, SessionObject sessionObject3)`
    `protected void` | `onResourceBindSuccess(SessionObject sessionObject, JID bindedJid)`
    `protected void` | `onStreamFeaturesReceived(SessionObject sessionObject, Element featuresElement)`
    `protected void` | `processAuthFail(SessionObject sessionObject, SaslModule.SaslError error)`
    `protected void` | `processAuthSucess(SessionObject sessionObject)`
    `protected void` | `processException(JaxmppException e)`
    `void` | `setSessionListener(XmppSessionLogic.SessionListener sessionListener)` Set XmppSessionLogic.SessionListener.
    `void` | `unbind()` In this method implementation must unregister all previously registered listeners.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BoshXmppSessionLogic

          public BoshXmppSessionLogic(Context context,
                                      Connector connector,
                                      XmppModulesManager modulesManager)

  - ### Method Detail

    - #### beforeStart

          public void beforeStart()
                           throws JaxmppException

      Description copied from interface: `XmppSessionLogic`
      Method executed just before login process is started. In this method implementation should register listeners.
      Specified by:
        `beforeStart` in interface `XmppSessionLogic`
      Throws:
        `JaxmppException`

    - #### onResourceBindError

          protected void onResourceBindError(SessionObject sessionObject2,
                                             SessionObject sessionObject3)

    - #### onResourceBindSuccess

          protected void onResourceBindSuccess(SessionObject sessionObject,
                                               JID bindedJid)
                                        throws JaxmppException

      Throws:
        `JaxmppException`

    - #### onStreamFeaturesReceived

          protected void onStreamFeaturesReceived(SessionObject sessionObject,
                                                  Element featuresElement)
                                           throws JaxmppException

      Throws:
        `JaxmppException`

    - #### processAuthFail

          protected void processAuthFail(SessionObject sessionObject,
                                         SaslModule.SaslError error)
                                  throws JaxmppException

      Throws:
        `JaxmppException`

    - #### processAuthSucess

          protected void processAuthSucess(SessionObject sessionObject)
                                    throws JaxmppException

      Throws:
        `JaxmppException`

    - #### processException

          protected void processException(JaxmppException e)

    - #### setSessionListener

          public void setSessionListener(XmppSessionLogic.SessionListener sessionListener)
                                  throws JaxmppException

      Description copied from interface: `XmppSessionLogic`
      Set XmppSessionLogic.SessionListener.
      Specified by:
        `setSessionListener` in interface `XmppSessionLogic`
      Parameters:
        `sessionListener` - XmppSessionLogic.SessionListener
      Throws:
        `JaxmppException`

    - #### unbind

          public void unbind()
                      throws JaxmppException

      Description copied from interface: `XmppSessionLogic`
      In this method implementation must unregister all previously registered listeners.
      Specified by:
        `unbind` in interface `XmppSessionLogic`
      Throws:
        `JaxmppException`

Copyright © 2006–2022 Tigase. All rights reserved.